@IF NOT "%2" == "" GOTO CONTINUE
@ECHO "                                                                            "
@ECHO " Before running this file please review the accompanying readme file for    "
@ECHO " intallation instructions. You must stop all CSNT functions and all CS      "
@ECHO " Window applications. Stop PCS_AGNT.EXE and RAPISERVER.EXE via Task Manager."
@ECHO "                                                                            "
@ECHO " INSTFIX.BAT will: Automatically stop APPNNODE and LDLCSERV services.       "
@ECHO "         Use VER cmd to determine WINDOWS platform, then install the        "
@ECHO "         appropriate LLC2.SYS AND APPNBASE.SYS files.                       "
@ECHO .  
@ECHO " Following is the output of VER command to find your WINDOWS platform.      "
@ECHO " If the WINDOWS platform is INCORRECT, you will need to manually rename and "
@echo " copy the appropriate LLC2.SYS AND APPNBASE files.                          
@VER | FIND "NT"
@IF %ERRORLEVEL% LSS 1 goto NTSTATION
@ECHO "                                                                            "
@ECHO " Since you are running Windows 2000 platform, we will copy LLC2W2K.SYS file "
@ECHO " as LLC2.SYS.                                                               "
@ECHO "                                                                            "
@goto ECHOCONT
:NTSTATION
@ECHO "                                                                            "
@ECHO " Since you are running Windows NT platform, we will copy LLC2NT.SYS file    "
@ECHO " as LLC2.SYS.                                                               "
@ECHO "                                                                            "
:ECHOCONT
@ECHO "Enter INSTFIX <Communications Server install path> <Windows NT install path>"
@ECHO "                                                                            "
@ECHO "    For instance: INSTFIX c:\ibmcs c:\winnt\system32                        "
@ECHO "                                                                            "
@ECHO " If you want silent installation and save INSTFIX.BAT processing, you can   "
@ECHO " pipe the output by issuing the following command:                          "
@ECHO "                                                                            "
@ECHO "                  INSTFIX c:\ibmcs c:\winnt\system32 > JR20487.TXT          "                     
@ECHO "                                                                            "	
@ECHO " After running INSTFIX you should confirm the updates completed successfully"
@echo " by checking the file dates and sizes as documented in the readme.txt file. "   
@ECHO " ** PLEASE CONFIRM the correct LLC2.SYS has been properly copied **         "                                                         
@GOTO END
:CONTINUE
@echo .
@echo " NOW INSTALLING APAR JR20487 "
@echo .
@echo " STOPPING APPNODE Service VIA WINDOWS CMD NET STOP APPNNODE  "
@ECHO .
NET STOP APPNNODE
@ECHO .
@echo " STOPPING LDLCSERV Service VIA WINDOWS CMD NET STOP LDLCSERV "
@ECHO .
NET STOP LDLCSERV
@echo .
@echo " RENAMING PRODUCTION FILES TO &FILE.preJR20487 "
@echo . 
ren %1\APITRC32.DLL APITRC32.DLL.preJR20487
ren %2\drivers\APPNBASE.SYS APPNBASE.SYS.preJR20487
ren %2\drivers\APPN.SYS APPN.SYS.preJR20487
ren %2\drivers\APPNAPI.SYS APPNAPI.SYS.preJR20487
ren %1\DLCTRC32.DLL DLCTRC32.DLL.preJR20487
ren %2\drivers\LLC2.SYS LLC2.SYS.preJR20487 
ren %2\WAPPC32.DLL WAPPC32.DLL.preJR20487
ren %2\WINMS32.DLL WINMS32.DLL.preJR20487
ren %2\WINNOF32.DLL WINNOF32.DLL.preJR20487
ren %2\WINRUI32.DLL WINRUI32.DLL.preJR20487
ren %1\sdk\win32\h\WINNOF.H WINNOF.H.preJR20487
@echo .
@echo " COPYING APAR FILES "
@echo .
copy APITRC32.DLL %1\
copy DLCTRC32.DLL %1\
copy WINNOF.H %1\sdk\win32\h\
copy APPN.SYS %2\drivers\
copy APPNAPI.SYS %2\drivers\
copy WINMS32.DLL %2\
copy WAPPC32.DLL %2\
copy WINNOF32.DLL %2\
copy WINRUI32.DLL %2\
@echo .
@echo " Using VER command to determine Windows platform to install "
@echo "  proper LLC2.SYS and APPNBASE.SYS "
@echo .
@VER | FIND "NT"
@IF %ERRORLEVEL% LSS 1 goto NTSTATION1
@echo .
@echo " LLC2W2K.SYS copied as LLC2.SYS for Windows 2000/XP platform "
@ECHO . 
@echo " APPNBW2K.SYS copied as APPNBASE.SYS Windows 2000/XP platform "
@ECHO .
copy LLC2W2K.SYS %2\drivers\LLC2.SYS
copy APPNBW2K.SYS %2\drivers\APPNBASE.SYS
@echo .
@goto NTEND
:NTSTATION1
@echo .
@echo " LLC2NT.SYS copied as LLC2.SYS Windows NT platform "
@echo " APPNBNT.SYS copied as APPNBASE.SYS Windows NT platform "
@echo .
copy LLC2NT.SYS %2\drivers\LLC2.SYS
copy APPNBNT.SYS %2\drivers\APPNBASE.SYS
:NTEND
@echo "  INSTALLATION OF APAR JR20487 COMPLETE "
@echo .   
@echo " PLEASE CONFIRM ALL FILES WERE SUCCESSFULLY COPIED. "
@echo .
@echo " Reference the file dates and sizes listed in package readme.txt."
@echo .
@echo " Restart Windows to complete apar package installation.  "                                                        
:END